Package twisted :: Package spread :: Package ui :: Module gtk2util :: Class LoginDialog

[show private | hide private]
[frames | no frames]

## Class LoginDialog

    GladeKeeper --+
                  |
                 LoginDialog

Method Summary
| `__init__(self, client, deferred, defaults)`
| `setDefaults(self, defaults)`
| `statusMsg(self, text)`
| `_cancelled(self)`
| `_cbGotPerspective(self, perspective)`
| `_doLogin(self)`
| `_ebFailedLogin(self, reason)`
| `_on_advancedButton_toggled(self, widget, userdata)`
| `_on_loginDialog_close(self, widget, userdata)`
| `_on_loginDialog_destroy_event(self, widget, userdata)`
| `_on_loginDialog_response(self, widget, response)`
| `_setWidgets(self)`
| `_windowClosed(self, reason)`

Class Variable Summary
`list` | `fields`
`string` | `gladefile`
`list` | `_advancedControls`
`tuple` | `_widgets`

Class Variable Details

### fields

  Type:
    `list`
  Value:

        ['host', 'port', 'identityName', 'password', 'serviceName', 'perspecti\
        veName']

### gladefile

  Type:
    `string`
  Value:

        '/home/radix/rel/Twisted-1.0.3/twisted/spread/ui/login2.glade'

### _advancedControls

  Type:
    `list`
  Value:

        ['perspectiveLabel', 'perspectiveNameEntry', 'protocolLabel', 'version\
        Label']

### _widgets

  Type:
    `tuple`
  Value:

        ('hostEntry',
         'portEntry',
         'identityNameEntry',
         'passwordEntry',
         'serviceNameEntry',
         'perspectiveNameEntry',
         'statusBar',
         'loginDialog')

Generated by Epydoc 1.1 on Sat Feb 15 21:19:25 2003 | http://epydoc.sf.net